# $Revision: 1.26 $, $Date: 2011/05/11 14:30:43 $
# TODO
# - skip building old XMLBeans-based implementation of E4X? (see prep section)
%define		fver	%(echo %{version} | tr . _)
%include	/usr/lib/rpm/macros.java
Summary:	Rhino - JavaScript for Java
Summary(pl.UTF-8):	Rhino - JavaScript dla Javy
Name:		java-rhino
Version:	1.7R3
Release:	1
License:	MPL 1.1 or GPL v2+
Group:		Development/Languages/Java
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/rhino%{fver}.zip
# Source0-md5:	99d94103662a8d0b571e247a77432ac5
Source1:	http://java.sun.com/products/jfc/tsc/articles/treetable2/downloads/src.zip
# Source1-md5:	ab016c8f81812bb930fc0f7a69e053c5
Source2:	http://www.apache.org/dist/xmlbeans/binaries/xmlbeans-2.2.0.zip
# Source2-md5:	f279d25e2dccbb524e406543c38b4aae
URL:		http://www.mozilla.org/rhino/
BuildRequires:	ant
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	jpackage-utils
Obsoletes:	rhino
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rhino is an open-source implementation of JavaScript written entirely
in Java. It is typically embedded into Java applications to provide
scripting to end users.

%description -l pl.UTF-8
Rhino to implementacja JavaScriptu z otwartymi źródłami napisana
całkowicie w Javie. Zwykle jest osadzana w aplikacjach w Javie aby
pozwolić użytkownikom na używanie skryptów.

%package javadoc
Summary:	Online manual for Rhino
Summary(pl.UTF-8):	Dokumentacja online do Rhino
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for Rhino.

%description javadoc -l pl.UTF-8
Dokumentacja do Rhino.

%description javadoc -l fr.UTF-8
Javadoc pour Rhino.

%prep
%setup -q -n rhino%{fver}

cat <<'EOF' >> build.properties
# use local path
swing-ex-url=file:%{SOURCE1}
# use local path
xmlbeans.zip=%{SOURCE2}

# Will cause E4X not to be built
#no-e4x=true
# Will cause the old, XMLBeans-based implementation of E4X not to be built
#no-xmlbeans=true
EOF

%build
# workaround for java-gcj-compat-devel compilation failure
%ant jar || :
%{__rm} build/classes/org/mozilla/javascript/{FieldAndMethods,JavaMembers}.class

%ant jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
install build/rhino%{fver}/js.jar $RPM_BUILD_ROOT%{_javadir}/js-%{version}.jar
ln -s js-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/js.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%{_javadir}/js-%{version}.jar
%{_javadir}/js.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-rhino.spec,v $
Revision 1.26  2011/05/11 14:30:43  qboosh
- updated to 1.7R3

Revision 1.25  2011/02/11 19:03:42  qboosh
- in "workaround" remove actually existing file

Revision 1.24  2010/04/15 12:16:11  jajcus
- hackish workaround for build failure with java-gcj-compat-devel

Revision 1.23  2010/04/15 12:00:47  jajcus
- BR: jdk

Revision 1.22  2010/04/15 11:24:23  jajcus
- Obsoletes: rhino

Revision 1.21  2010/04/15 11:24:00  jajcus
- 'rhino' package renamed to 'java-rhino'

Revision 1.20  2009/03/23 18:40:30  qboosh
- updated to 1.7R2

Revision 1.19  2008/03/26 18:28:17  qboosh
- updated to 1.7R1

Revision 1.18  2007-12-31 16:02:34  glen
- rel 3

Revision 1.17  2007-12-09 02:21:17  glen
- build the jar; rel 2

Revision 1.16  2007-12-09 00:59:00  glen
- unify java package
- -javadoc added

Revision 1.15  2007-09-06 20:05:42  qboosh
- updated to 1.6R7

Revision 1.14  2007/08/01 19:40:15  qboosh
- updated to 1.6R6 (dual-licensed now)

Revision 1.13  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.11  2006/12/08 01:32:18  glen
- proper ant BR; rel

Revision 1.10  2006/11/20 18:57:38  qboosh
- updated to 1.6R5

Revision 1.9  2006/09/11 22:11:29  qboosh
- updated to 1.6R4

Revision 1.8  2006/07/25 08:43:02  qboosh
- updated to 1.6R3

Revision 1.7  2005/10/18 16:03:04  qboosh
- updated to 1.6R2

Revision 1.6  2005/08/14 12:06:33  glen
- I see no arch specific files here. noarch the package

Revision 1.5  2005/05/08 14:31:52  qboosh
- added URL

Revision 1.4  2005/05/07 17:06:02  darekr
- BR: unzip

Revision 1.3  2005/05/07 17:02:25  qboosh
- new Source0 URL, updated to 1.6R1

Revision 1.2  2004/12/14 15:49:18  baggins
- DON'T hardcode paths!

Revision 1.1  2003/07/27 18:25:03  qboosh
- new (not recompiled - it wants to download something from java.sun.com)
